classification
Title: Use autoconf to detect OpenSSL and libssl features
Type: behavior Stage: resolved
Components: Extension Modules, Installation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes
Priority: normal Keywords: patch

Created on 2018-01-19 13:48 by christian.heimes, last changed 2018-01-20 12:21 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5242 merged christian.heimes, 2018-01-19 13:52
Messages (3)
msg310277 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-01-19 13:48
Starting with #31399 Python will require some OpenSSL 1.0.2 features. The features are not available in LibreSSL yet. There is no easy way to detect the feature from setup.py. The inc_dir variable in setup.py does not reflect CPPFLAG. I tried "self.compiler.preprocess()" but run into more issues. For example prints to stderr in error cases.

https://www.gnu.org/software/autoconf-archive/ax_check_openssl.html makes it easy to check for working OpenSSL. It uses either pkg-config or falls back to manual detection in common locations.

Based on the M4 macro it is easy to check for features like working X509_VERIFY_PARAM_set1_host() function.
msg310338 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-01-20 12:19
New changeset ff5be6e8100276647e0077e80869fc022d1bb53f by Christian Heimes in branch 'master':
bpo-32598: Use autoconf to detect usable OpenSSL (#5242)
https://github.com/python/cpython/commit/ff5be6e8100276647e0077e80869fc022d1bb53f
msg310339 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-01-20 12:21
Thanks, Andrew
History
Date User Action Args
2018-02-25 20:18:40christian.heimeslinkissue21541 superseder
2018-01-20 12:21:53christian.heimessetstatus: open -> closed
resolution: fixed
messages: + msg310339

stage: patch review -> resolved
2018-01-20 12:19:23christian.heimessetmessages: + msg310338
2018-01-19 13:52:19christian.heimessetkeywords: + patch
stage: patch review
pull_requests: + pull_request5090
2018-01-19 13:48:26christian.heimescreate